Subject: Re: bug#21568: [PATCH] Add prettify-symbols-alist for js-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Sep 2015 00:01:50 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sun, 27 Sep 2015 23:18:12 +0300
> 
> On 09/27/2015 10:46 PM, Eli Zaretskii wrote:
> 
> > No, please leave that text alone.  It's okay the way it is.
> 
> I feel that the last sentence causes unnecessary doubt on the part of 
> the reader. After all, CONTRIBUTE is intended as a guideline for 
> developing Emacs, and the less ambiguous it is, the better.

I see no ambiguity there.  There are requirements, and there's "a good
idea" with an explanation that is left to the contributors to consider
and decide.  I see nothing wrong with leaving the decision with them.

> >> What I'm referring to is requests such as this one, which I believe
> >> was/is misleading:
> >>
> >> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21568#8
> >
> > I disagree that it was misleading.
> 
> It implied that without that cookie, something in that code might not 
> work well.

Then I'm sorry that my wording made such interpretation possible.  It
was certainly not intended.

> > I explained my reasons right there and then.
> 
> As a counterpoint, I don't believe educational purpose is a good enough 
> cause to ask people to use coding cookies in UTF-8 encoded Elisp files.

Let's agree to disagree about that, okay?

> Even for external packages, over time, Emacs versions where they're 
> necessary will sail off into distant past. No need to add to the baggage 
> the future people will have to deal with.

I cannot see how a dozen-character string most users will never even
notice could possibly be a "baggage" of any significance.

> I see an attempt to bring in extraneous practice into writing Elisp 
> files (as well as reviewing the patches), and speak against it.

The form and the intense of the objections are out of proportions,
for such an insignificant issue/disagreement.